GlossaryOperations Class

Inheritance
azure.purview.catalog.aio.operations._operations.GlossaryOperations
GlossaryOperations

Constructor

GlossaryOperations(*args, **kwargs)

Methods

begin_import_glossary_terms_via_csv

You need to write a custom operation for "begin_import_glossary_terms_via_csv". Please refer to https://aka.ms/azsdk/python/dpcodegen/python/customize to learn how to customize.

begin_import_glossary_terms_via_csv_by_glossary_name

Import Glossary Terms from local csv file by glossaryName.

begin_import_glossary_terms_via_csv

You need to write a custom operation for "begin_import_glossary_terms_via_csv". Please refer to https://aka.ms/azsdk/python/dpcodegen/python/customize to learn how to customize.

async begin_import_glossary_terms_via_csv(glossary_guid: str, files: Dict[str, Any], *, include_term_hierarchy: Optional[bool] = False, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[collections.abc.MutableMapping[str, Any]]

Parameters

glossary_guid
Required
files
Required

begin_import_glossary_terms_via_csv_by_glossary_name

Import Glossary Terms from local csv file by glossaryName.

async begin_import_glossary_terms_via_csv_by_glossary_name(glossary_name: str, files: Dict[str, Any], *, include_term_hierarchy: Optional[bool] = False, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[collections.abc.MutableMapping[str, Any]]

Parameters

glossary_name
str
Required

The name of the glossary.

files
dict[str, any]
Required

Multipart input for files. See the template in our example to find the input shape.

include_term_hierarchy
bool

Whether include term hierarchy. Default value is False.

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be LROBasePolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns JSON object

Return type

LROPoller[<xref:JSONType>]

Exceptions

Examples


   # multipart input template you can fill out and use as your `files` input.
   files = {
       "file": b'bytes'  # The csv file to import glossary terms from.
   }

   # response body for status code(s): 202
   response.json() == {
       "createTime": "str",  # Optional. The created time of the record.
       "error": {
           "errorCode": 0,  # Optional. Error code from async import job if
             fail.
           "errorMessage": "str"  # Optional. Error message from async import
             job if fail.
       },
       "id": "str",  # Optional. guid string.
       "lastUpdateTime": "str",  # Optional. The last updated time of the record.
       "properties": {
           "importedTerms": "str",  # Optional. Term numbers that already
             imported successfully.
           "totalTermsDetected": "str"  # Optional. Total term numbers that
             detected in csv.
       },
       "status": "str"  # Optional. Enum of the status of import csv operation.
         Possible values include: "NotStarted", "Succeeded", "Failed", "Running".
   }